# ApplicationFramework
TKLCAF
TNaming

# TNaming_ListNodeOfListOfNamedShape Class Reference

`#include <TNaming_ListNodeOfListOfNamedShape.hxx>`

## Public Member Functions

| TNaming_ListNodeOfListOfNamedShape (const Handle(TNaming_NamedShape)&I, const TCollection_MapNodePtr &n)
Handle_TNaming_NamedShape & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TNaming_NamedShape | myValue

## Constructor & Destructor Documentation

TNaming_ListNodeOfListOfNamedShape::TNaming_ListNodeOfListOfNamedShape | ( | const Handle(TNaming_NamedShape)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TNaming_ListNodeOfListOfNamedShape::Handle | ( | Standard_Type |  | ) | const

Handle_TNaming_NamedShape& TNaming_ListNodeOfListOfNamedShape::Value | ( |  | ) | const

## Field Documentation

Handle_TNaming_NamedShape TNaming_ListNodeOfListOfNamedShape::myValue `[private]`

The documentation for this class was generated from the following file:

- TNaming_ListNodeOfListOfNamedShape.hxx